{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/carlop.com/3MServer/1.0.0"}],"info":{"version":"1.0.0","title":"3M Server","description":"The API for the MultiMediaManager Server, used in GPSChat project"},"paths":{"/3M/api/{bucketName}/{filename}":{"get":{"tags":["Generic Images"],"description":"Get an image from MultiMediaManager","operationId":"getFile","parameters":[{"name":"bucketName","in":"path","required":true,"schema":{"type":"string"}},{"name":"filename","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Image","content":{"image/jpg":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"The server encountered the following problem processing your request: {exception}"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"The image with id {id} was not found on this server."}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"There was an error in the server: {exception}"}}}}}}},"x-swagger-router-controller":"Image"},"post":{"tags":["Generic Images"],"description":"Upload an image from MultiMediaManager","operationId":"uploadFile","parameters":[{"name":"bucketName","in":"path","required":true,"schema":{"type":"string"}},{"name":"filename","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"required":true,"content":{"image/jpg":{"schema":{"type":"string","format":"binary"}}}},"responses":{"200":{"description":"Image","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"The resource has been created."},"id":{"type":"number","format":"int32"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"The server encountered the following problem processing your request: {exception}"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"There was an error in the server: {exception}"}}}}}}},"x-swagger-router-controller":"Image"},"delete":{"tags":["Generic Images"],"description":"Delete an image from MultiMediaManager","operationId":"deleteFile","parameters":[{"name":"bucketName","in":"path","required":true,"schema":{"type":"string"}},{"name":"filename","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Image","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"The resource has been created."},"id":{"type":"number","format":"int32"}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"The server encountered the following problem processing your request: {exception}"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number","format":"int32"},"message":{"type":"string","example":"There was an error in the server: {exception}"}}}}}}},"x-swagger-router-controller":"Image"}}}}